/**
 ** ********************************************************
 ** @file index.js
 ** @author WenKang Lin <wenkanglin0910@gmail.com>
 ** @date 2018-04-12 10:37:13
 ** @last_modified_by WenKang Lin <wenkanglin0910@gmail.com>
 ** @last_modified_date 2018-04-12 10:37:15
 ** @copyright (c) 2018-present, WenKang Lin
 ** ********************************************************
 */

module.exports = (context, options) => {
  const useBuiltIns =
    options && typeof options.useBuiltIns === 'boolean'
      ? options.useBuiltIns
      : false;
  return {
    presets: [
      require('babel-preset-env').default(null, {
        modules: false,
        target: {
          browsers: ['last 10 versions']
        },
        useBuiltIns
      }),
      require('babel-preset-stage-2')
    ],
    plugins: [
      require('babel-plugin-syntax-dynamic-import'),
      require('babel-plugin-transform-async-to-generator')
    ]
  };
};
